# Generated by Django 2.0.9 on 2018-10-16 16:44

import blog.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.embeds.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0011_auto_20170905_2044'),
    ]

    operations = [
        migrations.AlterField(
            model_name='blogpage',
            name='author',
            field=models.ForeignKey(blank=True, limit_choices_to=blog.models.limit_author_choices, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='author_pages', to=settings.AUTH_USER_MODEL, verbose_name='Author'),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='body',
            field=wagtail.core.fields.StreamField([('h2', wagtail.core.blocks.CharBlock(icon='title')), ('h3', wagtail.core.blocks.CharBlock(icon='title')), ('paragraph', wagtail.core.blocks.RichTextBlock(icon='pilcrow')), ('video', wagtail.core.blocks.StructBlock([('video_link', wagtail.embeds.blocks.EmbedBlock())], icon='media', label='Embedded video')), ('pullquote', wagtail.core.blocks.StructBlock([('quote', wagtail.core.blocks.TextBlock(label='Quote title')), ('attribution', wagtail.core.blocks.CharBlock())], icon='openquote', label='Quote')), ('rawhtml', wagtail.core.blocks.RawHTMLBlock(icon='placeholder', label='Embed HTML')), ('code', wagtail.core.blocks.StructBlock([('language', wagtail.core.blocks.ChoiceBlock(choices=[('python', 'Python'), ('bash', 'Bash/Shell'), ('html', 'HTML'), ('css', 'CSS'), ('scss', 'SCSS')])), ('code', wagtail.core.blocks.TextBlock())], icon='code', label='Embed code'))]),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='intro',
            field=wagtail.core.fields.StreamField([('h2', wagtail.core.blocks.CharBlock(icon='title')), ('h3', wagtail.core.blocks.CharBlock(icon='title')), ('paragraph', wagtail.core.blocks.RichTextBlock(icon='pilcrow')), ('video', wagtail.core.blocks.StructBlock([('video_link', wagtail.embeds.blocks.EmbedBlock())], icon='media', label='Embedded video')), ('pullquote', wagtail.core.blocks.StructBlock([('quote', wagtail.core.blocks.TextBlock(label='Quote title')), ('attribution', wagtail.core.blocks.CharBlock())], icon='openquote', label='Quote')), ('rawhtml', wagtail.core.blocks.RawHTMLBlock(icon='placeholder', label='Embed HTML')), ('code', wagtail.core.blocks.StructBlock([('language', wagtail.core.blocks.ChoiceBlock(choices=[('python', 'Python'), ('bash', 'Bash/Shell'), ('html', 'HTML'), ('css', 'CSS'), ('scss', 'SCSS')])), ('code', wagtail.core.blocks.TextBlock())], icon='code', label='Embed code'))], null=True),
        ),
        migrations.AlterField(
            model_name='staticpage',
            name='body',
            field=wagtail.core.fields.StreamField([('h2', wagtail.core.blocks.CharBlock(icon='title')), ('h3', wagtail.core.blocks.CharBlock(icon='title')), ('paragraph', wagtail.core.blocks.RichTextBlock(icon='pilcrow')), ('video', wagtail.core.blocks.StructBlock([('video_link', wagtail.embeds.blocks.EmbedBlock())], icon='media', label='Embedded video')), ('pullquote', wagtail.core.blocks.StructBlock([('quote', wagtail.core.blocks.TextBlock(label='Quote title')), ('attribution', wagtail.core.blocks.CharBlock())], icon='openquote', label='Quote')), ('rawhtml', wagtail.core.blocks.RawHTMLBlock(icon='placeholder', label='Embed HTML')), ('code', wagtail.core.blocks.StructBlock([('language', wagtail.core.blocks.ChoiceBlock(choices=[('python', 'Python'), ('bash', 'Bash/Shell'), ('html', 'HTML'), ('css', 'CSS'), ('scss', 'SCSS')])), ('code', wagtail.core.blocks.TextBlock())], icon='code', label='Embed code'))]),
        ),
    ]
